Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.servlet
Class ServletServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.web.WebServerInvoker
                  org.jboss.remoting.transport.servlet.ServletServerInvoker

All Implemented Interfaces:
  Invoker, ServerInvokerMBean, ServletServerInvokerMBean

    public class ServletServerInvoker

extends WebServerInvoker
implements ServletServerInvokerMBean

The servlet based server invoker that receives the original http request from the ServerInvokerServlet.

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`HEADER_SESSION_ID, HEADER_SUBSYSTEM`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`ServletServerInvoker(InvokerLocator locator)`
`ServletServerInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected java.lang.String` | `getDefaultDataType()`
`java.lang.String` | `getMBeanObjectName()`
`byte[]` | `processRequest(javax.servlet.http.HttpServletRequest request, byte[] requestByte, javax.servlet.http.HttpServletResponse response)`
`void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method to be called by the servlet to handle the incoming request.

Methods inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`createNewInvocationRequest, getContentLength, getInvocationRequest, getMarshaller, getSessionId, getUnMarshaller, isTransportBiDirectional`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getDefaultServerSocketFactory, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, setup, start, stop, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletServerInvoker

    public ServletServerInvoker(InvokerLocator locator)

### ServletServerInvoker

    public ServletServerInvoker(InvokerLocator locator,
                                java.util.Map configuration)

Method Detail

### getDefaultDataType

    protected java.lang.String getDefaultDataType()

  Overrides:
    `getDefaultDataType` in class `WebServerInvoker`

### getMBeanObjectName

    public java.lang.String getMBeanObjectName()

  Overrides:
    `getMBeanObjectName` in class `ServerInvoker`
  Returns:
    the String for the object name to be used for the invoker.

### processRequest

    public void processRequest(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               java.io.IOException

  Description copied from interface: `ServletServerInvokerMBean`
  Method to be called by the servlet to handle the incoming request.

  Specified by:
    `processRequest` in interface `ServletServerInvokerMBean`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### processRequest

    public byte[] processRequest(javax.servlet.http.HttpServletRequest request,
                                 byte[] requestByte,
                                 javax.servlet.http.HttpServletResponse response)
                          throws javax.servlet.ServletException,
                                 java.io.IOException

  Specified by:
    `processRequest` in interface `ServletServerInvokerMBean`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.